# Location (HyStuff 1.0.1 API)
declaration: package: net.miarma.hystuff.common, record: Location

# Record Class Location

java.lang.Object
java.lang.Record
net.miarma.hystuff.common.Location

public record Location(@Nonnull String worldName, double x, double y, double z, float yaw, float pitch) extends Record

## Constructor Summary

Constructors
Constructor
Description
`Location(String worldName, double x, double y, double z, float yaw, float pitch)`
Creates an instance of a `Location` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`float`
`pitch()`
Returns the value of the `pitch` record component.
`com.hypixel.hytale.math.vector.Vector3d`
`toPosition()`
`com.hypixel.hytale.math.vector.Vector3f`
`toRotation()`
`final String`
`toString()`
Returns a string representation of this record class.
`String`
`worldName()`
Returns the value of the `worldName` record component.
`double`
`x()`
Returns the value of the `x` record component.
`double`
`y()`
Returns the value of the `y` record component.
`float`
`yaw()`
Returns the value of the `yaw` record component.
`double`
`z()`
Returns the value of the `z` record component.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Location

public Location(@Nonnull String worldName, double x, double y, double z, float yaw, float pitch)
Creates an instance of a `Location` record class.

Parameters:
  `worldName` - the value for the `worldName` record component
  `x` - the value for the `x` record component
  `y` - the value for the `y` record component
  `z` - the value for the `z` record component
  `yaw` - the value for the `yaw` record component
  `pitch` - the value for the `pitch` record component

## Method Details

### toPosition

public com.hypixel.hytale.math.vector.Vector3d toPosition()

### toRotation

public com.hypixel.hytale.math.vector.Vector3f toRotation()

### worldName

@Nonnull public String worldName()
Returns the value of the `worldName` record component.

Returns:
  the value of the `worldName` record component

### x

public double x()
Returns the value of the `x` record component.

Returns:
  the value of the `x` record component

### y

public double y()
Returns the value of the `y` record component.

Returns:
  the value of the `y` record component

### z

public double z()
Returns the value of the `z` record component.

Returns:
  the value of the `z` record component

### yaw

public float yaw()
Returns the value of the `yaw` record component.

Returns:
  the value of the `yaw` record component

### pitch

public float pitch()
Returns the value of the `pitch` record component.

Returns:
  the value of the `pitch` record component

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.